Subject: Re: Fix bug adding properties with flatdevtree.c's ft_set_prop()

From: David Gibson <[email-masked]>
Date: Tue, 15 May 2007 10:26:48 +1000

On Mon, May 14, 2007 at 11:28:16AM -0500, Scott Wood wrote:
> On Mon, May 14, 2007 at 01:13:57PM +1000, David Gibson wrote:
> > This patch corrects ft_set_prop() so that it adds new properties
> > before the first subnode, instead of before the END_NODE tag.
> 
> Is there any reason not to just insert at the beginning of the node?

Only that we have to search through the node first to see if the
property already exists, so we've already reached the end by the time
we know we need to insert.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson